<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.systemrule.OperationLogMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.systemrule.OperationLogEntity">
                    <id column="id" property="id" />
                <result column="create_by" property="createBy" />
                <result column="owner_by" property="ownerBy" />
                <result column="create_time" property="createTime" />
                <result column="update_by" property="updateBy" />
                <result column="update_time" property="updateTime" />
                <result column="enabled" property="enabled" />
                <result column="is_delete" property="isDelete" />
                <result column="sort" property="sort" />
                    <result column="table_name" property="tableName" />
                    <result column="record_id" property="recordId" />
                    <result column="field_name" property="fieldName" />
                    <result column="old_value" property="oldValue" />
                    <result column="new_value" property="newValue" />
                    <result column="operation_time" property="operationTime" />
                    <result column="operator" property="operator" />
                    <result column="data_source" property="dataSource" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_by,
                owner_by,
                create_time,
                update_by,
                update_time,
                enabled,
                is_delete,
                sort,
            id, table_name, record_id, field_name, old_value, new_value, operation_time, operator, data_source
        </sql>

</mapper>
